Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jedi
Class Jedi

    java.lang.Object
      |
      +--jedi.Jedi

public final class Jedi
extends java.lang.Object

Constructor Summary
`Jedi()`

Method Summary
`static javax.swing.Action` | `getAction(java.lang.String name)`
`static javax.swing.Action[]` | `getActions()`
`static javax.swing.Icon` | `getApplicationIcon()`
`static java.lang.String` | `getAuthor()`
`static ClassExplorer` | `getClassExplorer()`
`static JavaCompiler` | `getCompiler()`
`static CompilerFrame` | `getCompilerFrame()`
`static CompilerPrefsFrame` | `getCompilerPrefsFrame()`
`static java.lang.String` | `getContextMenuFile(java.lang.String name)`
`static java.lang.String` | `getCopyright()`
`static java.io.File` | `getDataDirectory()`
`static EditorFrame` | `getEditor()`
`static java.lang.String` | `getEMail()`
`static java.lang.String` | `getHelpDirectory()`
`static java.lang.String` | `getHomeDirectory()`
`static javax.swing.Icon` | `getIcon(java.lang.String iconName)`
`static InformationFrame` | `getInformationFrame()`
`static JavaDocCompiler` | `getJavaDocCompiler()`
`static JavaDocFrame` | `getJavaDocFrame()`
`static java.lang.String` | `getLastProject()`
`static MethodWizard` | `getMethodWizard()`
`static int` | `getMinorVersion()`
`static NotepadFrame` | `getNotepad()`
`static java.lang.String` | `getPluginDirectory()`
`static PluginManager` | `getPluginManager()`
`static ProjectManager` | `getProjectManager()`
`static int` | `getRevision()`
`static java.lang.String` | `getRootDirectory()`
`static JavaRuntime` | `getRuntime()`
`static RuntimePrefsFrame` | `getRuntimePrefsFrame()`
`static java.lang.String` | `getSaveDirectory()`
`static TipOfTheDay` | `getTipOfTheDayFrame()`
`static java.lang.String` | `getTmpDirectory()`
`static int` | `getVersion()`
`static java.lang.String` | `getVersionString()`
`static void` | `invokeAction(java.lang.String action)`
`static boolean` | `isClassExplorerVisible()`
`static void` | `main(java.lang.String[] args)`
`static void` | `setLastProject(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Jedi

    public Jedi()

Method Detail

### getAction

    public static javax.swing.Action getAction(java.lang.String name)

### getActions

    public static javax.swing.Action[] getActions()

### getApplicationIcon

    public static javax.swing.Icon getApplicationIcon()

### getAuthor

    public static java.lang.String getAuthor()

### getClassExplorer

    public static ClassExplorer getClassExplorer()

### getCompiler

    public static JavaCompiler getCompiler()

### getCompilerFrame

    public static CompilerFrame getCompilerFrame()

### getCompilerPrefsFrame

    public static CompilerPrefsFrame getCompilerPrefsFrame()

### getContextMenuFile

    public static java.lang.String getContextMenuFile(java.lang.String name)

### getCopyright

    public static java.lang.String getCopyright()

### getDataDirectory

    public static java.io.File getDataDirectory()

### getEMail

    public static java.lang.String getEMail()

### getEditor

    public static EditorFrame getEditor()

### getHelpDirectory

    public static java.lang.String getHelpDirectory()

### getHomeDirectory

    public static java.lang.String getHomeDirectory()

### getIcon

    public static javax.swing.Icon getIcon(java.lang.String iconName)

### getInformationFrame

    public static InformationFrame getInformationFrame()

### getJavaDocCompiler

    public static JavaDocCompiler getJavaDocCompiler()

### getJavaDocFrame

    public static JavaDocFrame getJavaDocFrame()

### getLastProject

    public static java.lang.String getLastProject()

### getMethodWizard

    public static MethodWizard getMethodWizard()

### getMinorVersion

    public static int getMinorVersion()

### getNotepad

    public static NotepadFrame getNotepad()

### getPluginDirectory

    public static java.lang.String getPluginDirectory()

### getPluginManager

    public static PluginManager getPluginManager()

### getProjectManager

    public static ProjectManager getProjectManager()

### getRevision

    public static int getRevision()

### getRootDirectory

    public static java.lang.String getRootDirectory()

### getRuntime

    public static JavaRuntime getRuntime()

### getRuntimePrefsFrame

    public static RuntimePrefsFrame getRuntimePrefsFrame()

### getSaveDirectory

    public static java.lang.String getSaveDirectory()

### getTipOfTheDayFrame

    public static TipOfTheDay getTipOfTheDayFrame()

### getTmpDirectory

    public static java.lang.String getTmpDirectory()

### getVersion

    public static int getVersion()

### getVersionString

    public static java.lang.String getVersionString()

### invokeAction

    public static void invokeAction(java.lang.String action)

### isClassExplorerVisible

    public static boolean isClassExplorerVisible()

### main

    public static void main(java.lang.String[] args)

### setLastProject

    public static void setLastProject(java.lang.String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD